; AVANT_GARDE
; AVANT_GARDE creates a bitmapped image containing a time and
; date strong for labelling images.
; 2001 July 27, D.M. fecit.
;
function avant_garde, time_string
;
restore, getenv('SSWDB') + '/soho/eit/special/avant_garde_struct.save
dx = avant_garde.x1 - avant_garde.x0 + 1
;
nch = strlen(time_string) & a = bytarr(1024, 22) & x = 0
;
for ich = 0, nch - 1 do begin
;
  s = strmid(time_string, ich, 1) & bs = byte(s) & bs = bs(0)
;
  case bs of
     47:   i_char = 11						; slash
     58:   i_char = 10						; colon
     32:   i_char = 12						; space
     85:   i_char = 13						; U
     84:   i_char = 14						; T
     else: begin
              if (bs lt 48) or (bs gt 57) then begin
                 printf, '%AVANT_GARDE-E-BAD_CHAR = ' + s + ' ' + $
                    'characters must be 0 - 9, :, /, space, or UT.'
              endif else begin
                 i_char = bs - 48				; <digit>
              end
           end
   endcase
;
   a(x, 0) = avant_garde.a(avant_garde.x0(i_char):avant_garde.x1(i_char), 0:21)
   x = x + dx(i_char)
;
end
;
a = a(0:x - 1, *)
;
return, a & end
