; MOVIE_SELECT
; MOVIE_SELECT allows selection of frames for EIT movies on a variety of
; criteria: image size, wavelength, &c.
; D.M. fecit, 1996 January 28. A screwup is not an accident.
; Modified rather beyond recognition to use CATRD_DAILY, 1996 April 7.
; D.M. fecit.
;
function movie_select, date_string, string_1 = string_1, string_2 = string_2, $
   list = list
;
s = catrd_daily(date_string)
;
if keyword_set(string_1) then begin
   s = s(where(strpos(s, string_1) gt 0))
end
;
if keyword_set(string_2) then begin
   s = s(where(strpos(s, string_2) gt 0))
end
;
n_file = n_elements(s)
if keyword_set(list) then begin
   for i_file = 0, n_file - 1 do print, s(i_file)
end
;
return, s & end
